import request from '@/utils/request'

// 查询学生计划执行情况列表
export function listLearnPlanStudy(query) {
  return request({
    url: '/learn/learnPlanStudy/list',
    method: 'get',
    params: query
  })
}

// 查询学生计划执行情况详细
export function getLearnPlanStudy(id) {
  return request({
    url: '/learn/learnPlanStudy/' + id,
    method: 'get'
  })
}

// 新增学生计划执行情况
export function addLearnPlanStudy(data) {
  return request({
    url: '/learn/learnPlanStudy',
    method: 'post',
    data: data
  })
}

// 修改学生计划执行情况
export function updateLearnPlanStudy(data) {
  return request({
    url: '/learn/learnPlanStudy',
    method: 'put',
    data: data
  })
}

// 删除学生计划执行情况
export function delLearnPlanStudy(id) {
  return request({
    url: '/learn/learnPlanStudy/' + id,
    method: 'delete'
  })
}
